import java.awt.Canvas;
import java.lang.reflect.Method;

public class Class193 {

   static final short aShort2284 = 1010;
   static final short aShort2285 = 3;
   static final short aShort2286 = 4;
   static final short aShort2287 = 5;
   static final short aShort2288 = 6;
   static final short aShort2289 = 8;
   static final short aShort2290 = 9;
   static final short aShort2291 = 10;
   static final short aShort2292 = 11;
   static final short aShort2293 = 1007;
   static final short aShort2294 = 60;
   static final short aShort2295 = 15;
   static final short aShort2296 = 16;
   static final short aShort2297 = 17;
   static final short aShort2298 = 1001;
   static final short aShort2299 = 19;
   static final short aShort2300 = 51;
   static final short aShort2301 = 1011;
   static final short aShort2302 = 22;
   static final short aShort2303 = 23;
   static final short aShort2304 = 25;
   static final short aShort2305 = 30;
   static final short aShort2306 = 44;
   static final short aShort2307 = 18;
   static final short aShort2308 = 21;
   static final short aShort2309 = 47;
   static final short aShort2310 = 13;
   static final short aShort2311 = 48;
   static final short aShort2312 = 50;
   static final short aShort2313 = 12;
   static final short aShort2314 = 52;
   static final short aShort2315 = 53;
   static final short aShort2316 = 57;
   static final short aShort2317 = 46;
   static final short aShort2318 = 59;
   static final short aShort2319 = 49;
   static final short aShort2320 = 1009;
   static final short aShort2321 = 1002;
   static final short aShort2322 = 20;
   static final short aShort2323 = 1004;
   static final short aShort2324 = 1006;
   static final short aShort2325 = 1003;
   static final short aShort2326 = 1008;
   static final short aShort2327 = 58;
   static final short aShort2328 = 45;
   static final short aShort2329 = 2;
   static final short aShort2330 = 1012;


   Class193() throws Throwable {
      throw new Error();
   }

   static void method3346(Class545 var0, Class445 var1, int var2, int var3, int var4, byte var5) {
      Class426 var6 = Class313.aClass424_3968.method7233(var1.anInt5493 * -762216121, -440813254);
      if(2039904785 * var6.anInt5368 != -1) {
         if(var1.aBool5524) {
            var2 += var1.anInt5529 * 136661373;
            var2 &= 3;
         } else {
            var2 = 0;
         }

         Class171 var7 = var6.method7262(var0, var2, var1.aBool5530, (byte)15);
         if(var7 != null) {
            int var8 = var1.anInt5526 * -935727759;
            int var9 = var1.anInt5509 * 514121989;
            if((var2 & 1) == 1) {
               var8 = 514121989 * var1.anInt5509;
               var9 = -935727759 * var1.anInt5526;
            }

            int var10 = var7.method94();
            int var11 = var7.method2969();
            if(var6.aBool5370) {
               var10 = 4 * var8;
               var11 = 4 * var9;
            }

            if(0 != var6.anInt5369 * 555128203) {
               var7.method2930(var3, var4 - (var9 - 1) * 4, var10, var11, 0, -16777216 | 555128203 * var6.anInt5369, 1);
            } else {
               var7.method2929(var3, var4 - 4 * (var9 - 1), var10, var11);
            }

         }
      }
   }

   static void method3347(int var0) {
      Class564 var1 = Class14.aClass564_175;
      synchronized(var1) {
         Class14.aClass564_175.method11976((byte)59);
      }
   }

   static final void method3348(Class508 var0, byte var1) {
      var0.anInt6007 -= 907612006;
      if(var0.aLongArray6008[var0.anInt6007 * 993230715] < var0.aLongArray6008[993230715 * var0.anInt6007 + 1]) {
         if(var1 != 0) {
            ;
         }

         var0.anInt6025 += 2029505775 * var0.anIntArray6023[var0.anInt6025 * 1651565071];
      }

   }

   static final void method3349(Class508 var0, byte var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 != 1) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class119.method2326(var3, var4, false, 2, var0, (byte)110);
   }

   static final Object[] method3350(String var0, Class508 var1, int var2) {
      Object[] var3 = new Object[var0.length() + 1];

      int var4;
      for(var4 = var3.length - 1; var4 >= 1; --var4) {
         if(var0.charAt(var4 - 1) == 115) {
            var3[var4] = var1.anObjectArray6004[(var1.anInt6005 -= -46848683) * 639741949];
         } else if(var0.charAt(var4 - 1) == 167) {
            var3[var4] = new Long(var1.aLongArray6008[(var1.anInt6007 -= -1693677645) * 993230715]);
         } else {
            var3[var4] = new Integer(var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807]);
         }
      }

      var4 = var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807];
      if(var4 != -1) {
         var3[0] = new Integer(var4);
      } else {
         var3 = null;
      }

      return var3;
   }

   static final void method3351(Class124 var0, Class121 var1, Class508 var2, short var3) {
      var0.anInt1491 = var2.anIntArray6027[(var2.anInt6003 -= 98312473) * -937710807] * -1776641017;
      Class460.method7767(var0, -1342032036);
   }

   static final void method3352(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var0.aClass64_5997.aStringArray617[var2];
   }

   static final void method3353(Class124 var0, Class121 var1, Class508 var2, int var3) {
      String var4 = (String)var2.anObjectArray6004[(var2.anInt6005 -= -46848683) * 639741949];
      if(Class245.method4382(var4, var2, (byte)110) != null) {
         var4 = var4.substring(0, var4.length() - 1);
      }

      var0.anObjectArray1467 = method3350(var4, var2, -34944059);
      var0.aBool1520 = true;
   }

   public static Class225_Sub14_Sub11 method3354(int var0) {
      return Class215_Sub1.aClass225_Sub14_Sub11_2523;
   }

   static final void method3355(Class508 var0, byte var1) {
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub9_8482, var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807], -1601726022);
      Class7.method605(-1358477367);
      client.aBool7758 = false;
   }

   public static void method3356(Canvas var0, int var1) {
      try {
         Class var2 = Class.forName("java.awt.Canvas");
         Method var3 = var2.getMethod("setIgnoreRepaint", new Class[]{Boolean.TYPE});
         var3.invoke(var0, new Object[]{Boolean.TRUE});
      } catch (Exception var4) {
         ;
      }

   }
}
